package app.api;

import java.util.List;

import app.model.Tweet;

public class MyTweetServiceAPI
{ 
  public static List<Tweet> getTweets() throws Exception
  {
    String response =  Rest.get("/api/tweets");
    List<Tweet> tweetList = JsonParsers.json2Tweets(response);
    return tweetList;
  }

  public static Tweet getTweet(Long id) throws Exception
  {
    String response =  Rest.get("/api/tweets/" + id);
    Tweet tweet = JsonParsers.json2Tweet(response);
    return tweet;
  }

  public static Tweet createTweet(Tweet tweet) throws Exception
  {
    String response = Rest.post ("/api/tweets", JsonParsers.tweet2Json(tweet));
    return JsonParsers.json2Tweet(response);
  }

  public static void deleteTweet(Long id) throws Exception
  {
    Rest.delete ("/api/tweets/" + id);
  }  
  
  public static void deleteAllTweets() throws Exception
  {
    Rest.delete ("/api/tweets");
  } 
}